Skip to main content
PUT
/
job
/
{jobId}
/
update
Update Job
curl --request PUT \
  --url https://cloud.cdata.com/api/job/{jobId}/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobType": "<string>",
  "intervalUnit": "<string>",
  "intervalValue": 123,
  "logVerbosity": 123,
  "params": {
    "sourceConnection": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sourceConnectionName": "<string>",
    "sourceName": "<string>",
    "sourceSchema": "<string>",
    "sourceTable": "<string>",
    "timeCheckColumn": "<string>",
    "autoTruncateStrings": "false",
    "mergeKeys": [
      {
        "colName": "<string>",
        "colType": "<string>",
        "isPrimaryKey": true
      }
    ]
  },
  "enabled": true,
  "definedNextRun": "2023-11-07T05:31:56Z"
}
'
{
  "jobType": "Caching",
  "id": "string",
  "name": "string",
  "enabled": true,
  "created": "2024-01-01T00:00:00Z",
  "lastModified": "2024-01-01T00:00:00Z",
  "nextRunTime": "2024-01-01T00:00:00Z",
  "intervalUnit": "Hour",
  "intervalValue": 1,
  "logVerbosity": 1,
  "lastRun": {
    "dateTime": "0001-01-01T00:00:00Z",
    "duration": 63894847975,
    "status": "JOB_QUEUED",
    "rowsAffected": 0,
    "nextRunTime": "0001-01-01T00:00:00Z"
  },
  "params": {
    "timeCheckColumn": "",
    "autoTruncateStrings": "false",
    "sourceConnection": "f6f3cfe6-72e2-4edb-914f-4409c01c1418",
    "sourceConnectionName": "MailChimp1",
    "sourceName": "MailChimp",
    "sourceSchema": "MailChimp",
    "sourceTable": "Conversations"
  }
}

Authorizations

Authorization
string
header
required

JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication [blocked] for more information on creating a token.

Path Parameters

jobId
string
required

The Id of the job you want to update.

Body

application/json
jobType
string
required

The type of job (Caching).

intervalUnit
string
required

A string representing the time interval (Hour/Day/Week/Month).

intervalValue
integer<int32>
required

An integer that represents how many of the selected frequency unit the job should wait before running again.

logVerbosity
integer<int32>
required

An enum indicating the level of log verbosity (1-5).

params
object
required

An object containing job-specific parameters.

enabled
boolean

A Boolean value indicating whether the job is enabled. The default value is true.

definedNextRun
string<date-time>

An optional DateTime value that can be used to set the initial start time for the job.

Response

200 - application/json

OK

jobType
string
required

The type of job (Caching).

id
string
required

The job's Id.

name
string
required

The job's name.

enabled
boolean
required

A Boolean value indicating whether the job is enabled.

created
string<date-time>
required

The date and time the job was created.

lastModified
string<date-time>
required

The date and time the job was last modified.

nextRunTime
string<date-time>
required

The date and time the job is scheduled to be run next.

intervalUnit
string
required

A string representing the interval unit for the job (Hour/Day/Week/Month).

intervalValue
integer<int32>
required

An integer that represents how many of the selected interval unit the job should wait before running again.

logVerbosity
integer<int32>
required

A number indicating the level of log verbosity (1-5).

lastRun
object

The last run metrics for the job, including the date and time, duration, status, rows affected, and next run time.

params
object

An object containing job parameters. Caching jobs use the fields below; other job types may include additional properties.